
proc setup_gui { record_list } {

	add_main_window_to_gui "Table Pitch Optimization"

	set row 1

	add_motor_to_gui $row $record_list "tpitch" "Table Pitch"

	incr row

	add_buttons_to_gui

	wm deiconify .
}

proc main { record_list } {

	log_puts "Moving vertical slit size to 2000 um."

	move_motor $record_list "bv_size" 2000.0

	log_puts "Moving horizontal slit size to 2000 um."

	move_motor $record_list "bh_size" 2000.0

	log_puts "Starting 'tpitch' optimization scan."

	optimize_to_edge $record_list "tpitch"

	log_puts "Moving slit sizes to 200 by 200 um."

	move_motor $record_list "bv_size" 200.0

	move_motor $record_list "bh_size" 200.0

	log_puts "*** Table pitch optimization complete. ***"

	return
}

